Bug 891279 - [RFE] Backend: 'migration complete' event should include the destination VDS, not the source [TEXT]
[RFE] Backend: 'migration complete' event should include the destination VDS,...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
All Windows
low Severity medium
: ---
: 3.2.0
Assigned To: Michal Skrivanek
Barak Dagan
virt
: EasyFix, FutureFeature, Improvement
Depends On: 586754
Blocks: 915537
  Show dependency treegraph
 
Reported: 2013-01-02 07:40 EST by Itamar Heim
Modified: 2014-07-13 19:18 EDT (History)
13 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Enhancement
Doc Text:
Migration audit messages did not contain the destination host of the migration, which could result in a problem for a user trying to locate where it went. Migration messages now contain information detailing the virtual machine name, the source host and destination host. They are also provided with event messages such as migration started, complete or failed.
Story Points: ---
Clone Of: 586754
Environment:
Last Closed: 2013-06-10 17:31:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10059 None None None Never

  None (edit)
Description Itamar Heim 2013-01-02 07:40:23 EST
cloning for rhev documenation/tracking

+++ This bug was initially created as a clone of Bug #586754 +++

Description of problem:
Currently, the event is:
Migration complete (VM: STRESS-C-044, Source Host: master-vdsd.qa.lab.tlv.redhat.com)

The source is less interesting for the user than the destination - please either have both (as in the starting migration message) or the destination only, not the source.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

--- Additional comment from Miki Kenneth on 2010-04-29 09:54:51 EDT ---

I vote for both

--- Additional comment from Itamar Heim on 2012-12-11 01:41:11 EST ---

Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

--- Additional comment from Yaniv Kaul on 2012-12-11 02:35:45 EST ---

Should be fixed, really annoying.

--- Additional comment from Libor Spevak on 2012-12-14 08:19:48 EST ---

Posted:
http://gerrit.ovirt.org/#/c/10059/

New sample output:
"Migration failed  (VM: Fedora17, Source: dev-18.DOMAIN, Destination: dev-17.DOMAIN)."
"Migration cancelled (VM: Fedora17, Source: dev-18.DOMAIN, User: admin@internal)."
"Migration started (VM: Fedora17, Source: dev-18.DOMAIN, Destination: dev-17.DOMAIN, User: admin@internal)."
"Migration completed (VM: Fedora17, Source: dev-17.DOMAIN, Destination: dev-18.DOMAIN)."

--- Additional comment from Libor Spevak on 2013-01-02 05:30:44 EST ---

Merged to master.
Comment 1 Oded Ramraz 2013-02-17 15:44:44 EST
Verified sf7:
	
Migration completed (VM: LinuxPool-1, Source: aqua-vds4, Destination: aqua-vds5).
Comment 2 Cheryn Tan 2013-04-03 02:53:43 EDT
This bug is currently attached to errata RHEA-2013:14491. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.
Comment 4 errata-xmlrpc 2013-06-10 17:31:05 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.